PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::CompressedSetOfNumbers< number_t >::const_iterator Class Reference

`#include <plask/utils/numbers_set.hpp>`

Inheritance diagram for plask::CompressedSetOfNumbers< number_t >::const_iterator:
[legend]
Collaboration diagram for plask::CompressedSetOfNumbers< number_t >::const_iterator:
[legend]

## Public Member Functions
template<typename... CtorArgs>
| const_iterator (const CompressedSetOfNumbers &set, CtorArgs &&... ctorArgs)
const CompressedSetOfNumbers< number_t > & | set () const
Public Member Functions inherited from plask::CompressedSetOfNumbers< number_t >::ConstIteratorFacade< const_iterator >
| ConstIteratorFacade ()
| Construct uninitialized iterator. Don't use it before initialization (which can be done by calling of setIndex method).
| ConstIteratorFacade (std::size_t index, ConstSegmentIterator segmentIterator)
| ConstIteratorFacade (std::size_t index)
std::size_t | getIndex () const
| Get current iterator position (index).
void | setIndex (std::size_t index)
number_t | getNumber () const

## Additional Inherited Members
Public Types inherited from plask::CompressedSetOfNumbers< number_t >::ConstIteratorFacade< const_iterator >
typedef std::vector< Segment >::const_iterator | ConstSegmentIterator
Public Attributes inherited from plask::CompressedSetOfNumbers< number_t >::ConstIteratorFacade< const_iterator >
ConstSegmentIterator | segmentIterator
| Current segment (which includes current index). It is stored in order to speed up dereference operation.
std::size_t | index
| Current index.

## Detailed Description

template<typename number_t = std::size_t>
class plask::CompressedSetOfNumbers< number_t >::const_iterator

Definition at line 169 of file numbers_set.hpp.

## Constructor & Destructor Documentation

## ◆ const_iterator()

template<typename number_t = std::size_t>
template<typename... CtorArgs>

plask::CompressedSetOfNumbers< number_t >::const_iterator::const_iterator | ( | const CompressedSetOfNumbers & | set,
|  | CtorArgs &&... | ctorArgs
| ) |  |
| inline explicit

Definition at line 176 of file numbers_set.hpp.

## Member Function Documentation

## ◆ set()

template<typename number_t = std::size_t>

const CompressedSetOfNumbers< number_t > & plask::CompressedSetOfNumbers< number_t >::const_iterator::set | ( |  | ) | const
| inline

Definition at line 179 of file numbers_set.hpp.

The documentation for this class was generated from the following file:

- plask/utils/numbers_set.hpp